import { M as Metric, a as MetricResult } from '../metric-D2V4CR8D.js';
import { A as Agent } from '../index-CBxGSZZE.js';
import 'ai';
import 'json-schema';
import 'zod';
import '../base.js';
import '@opentelemetry/api';
import '../index-CBZ2mk2H.js';
import 'pino';
import 'stream';
import '../telemetry-oCUM52DG.js';
import '@opentelemetry/sdk-node';
import '@opentelemetry/sdk-trace-base';
import 'sift';
import '../vector/index.js';
import '../tts/index.js';

declare function evaluate<T extends Agent>({ agentName, input, metric, output, runId, globalRunId, testInfo, }: {
    agentName: string;
    input: Parameters<T['generate']>[0];
    metric: Metric;
    output: string;
    globalRunId: string;
    runId?: string;
    testInfo?: {
        testName?: string;
        testPath?: string;
    } | null;
}): Promise<MetricResult>;

export { Metric, MetricResult, evaluate };
